import * as aws from 'aws-sdk';
export interface SqsProducerOptions {
    queueUrl: string;
    region?: string;
    largePayloadThoughS3?: boolean;
    allPayloadThoughS3?: boolean;
    s3Bucket?: string;
    sqs?: aws.SQS;
    s3?: aws.S3;
    sqsEndpointUrl?: string;
    s3EndpointUrl?: string;
}
export interface SqsMessageOptions {
    DelaySeconds?: number;
    MessageDeduplicationId?: string;
    MessageGroupId?: string;
}
export declare class SqsProducer {
    private sqs;
    private s3;
    private queueUrl;
    private largePayloadThoughS3;
    private allPayloadThoughS3;
    private s3Bucket;
    constructor(options: SqsProducerOptions);
    static create(options: SqsProducerOptions): SqsProducer;
    sendJSON(message: object, options?: SqsMessageOptions): Promise<any>;
}
